---
title: String.prototype.big()
slug: Web/JavaScript/Reference/Global_Objects/String/big
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>big()</code></strong> method creates a {{HTMLElement("big")}} HTML element that causes a string to be displayed in a big font.</p>

<div class="note">
<p><strong>Usage note:</strong> The &lt;big&gt; element has been removed in <a href="/en-US/docs/Web/Guide/HTML/HTML5">HTML5</a> and shouldn't be used anymore. Instead web developers should use <a href="/en-US/docs/Web/CSS">CSS</a> properties.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.big()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string containing a {{HTMLElement("big")}} HTML element.</p>

<h2 id="Description">Description</h2>

<p>The <code>big()</code> method embeds a string in a <code>&lt;big&gt;</code> element: "<code>&lt;big&gt;str&lt;/big&gt;</code>".</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_big">Using big()</h3>

<p>The following example uses string methods to change the size of a string:</p>

<pre class="brush: js notranslate">var worldString = 'Hello, world';

console.log(worldString.small());     // &lt;small&gt;Hello, world&lt;/small&gt;
console.log(worldString.big());       // &lt;big&gt;Hello, world&lt;/big&gt;
console.log(worldString.fontsize(7)); // &lt;fontsize=7&gt;Hello, world&lt;/fontsize&gt;
</pre>

<p>With the {{domxref("ElementCSSInlineStyle/style", "element.style")}} object you can get the element's <code>style</code> attribute and manipulate it more generically, for example:</p>

<pre class="brush: js notranslate">document.getElementById('yourElemId').style.fontSize = '2em';
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.big', 'String.prototype.big')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.big")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.fontsize()")}}</li>
 <li>{{jsxref("String.prototype.small()")}}</li>
</ul>
